<div class="gridPage">
    <div id="hboLogo"></div>
    <div class="mouseButtonsContainer">
        <div class="mouseButton top"></div>
        <div class="mouseButton bottom"></div>
    </div>
    <div class="gridContainer">
        <div class="verticalScrollContainer">
            <h1 class="mainTitle"><%- name %></h1>
            <% if(sortOptions.length > 0){ %>
                <div class="sortOptions">
                    <div class="leftLine line"></div>
                    <div id="sorting" data-down="focusDown" data-up="focusUp" class="selectedSortOption"><%- selectedSortOption.name %> <span class="sortArrow"></span></div>
                    <div class="rightLine line"></div>
                </div>
            <% } %>

                <% if(groups.length == 1) { %>
                    <% items = groups[0].items %>
                    <div class="groupList">
                        <div class="groupContainer template-<%- groups[0].templateType %> <%= (sortOptions.length > 0 && selectedSortOption.id == 3 ? ' template-10' : '') %>">
                            <% if(items.name) { %><h1><%- items.name %></h1><% } %>
                            <div class="group gridGroup">
                                <% if (items.length == 0){ %>
                                    <div class="emptyWatchlistNotification"><%- manifest.empty_watchlist %></div>
                                <% } %> 
                                <% for(var j=0;j<pageIndex;j++){ %>
                                    <div id="gridPage-<%- j %>" class="gridPagePage _initialPage"></div>
                                <% } %>
                                <div class="page-separator <%- pageIndex %> -- <%- pageSize %>" ></div>
                                <% for(var j=0;j<Math.min(pageSize * initialRenderedPages, items.length);j++){ %>
                                    <% totalIdx = j + (pageIndex * pageSize) %>
                                    <% if(j % pageSize == 0){ %>
                                        <div id="gridPage-<%- Math.floor(totalIdx /pageSize) %>" class="gridPagePage <%- j %>">
                                    <% } %>

                                    <div id="item_0_<%- totalIdx %>" data-up="focusUp" data-down="focusDown" data-left="focusLeft" data-right="focusRight" class="groupItem <%= (items[j].placeholderImage ? ' placeholder-image' : '') %>">
                                        <div class="product-border"></div>
                                        <% if(items[j].ribbonTitle != ""){ %>
                                            <div class="ribbon detail-ribbon <%- items[j].ribbonType %>"><%- items[j].ribbonTitle %></div>
                                        <% } %>


                                        <% if (!items[j].placeholderImage) { %>

                                            <% if(groups[0].templateType == 6){ %>
                                                <img src="<%- items[j].thumbnailSquareBig %>" data-imgsize="<%- items[j].thumbnailSquareBigSize %>" alt=""/>
                                            <% }else{ %>
                                                <img src="<%- items[j].thumbnailSmall %>" data-imgsize="<%- items[j].thumbnailSmallSize %>" alt=""/>
                                            <% } %>
                                        <% } %>
                                        <!-- <% if(items[j].upcomingData != null){ %>
                                            <div class="countdown">
                                                <% if(items[j].upcomingData.days > 0){ %>
                                                    <div class="days"><span><%- items[j].upcomingData.days %></span><br/> <%- items[j].upcomingData.days_text %></div>
                                                    <div class="hours"><span><%- items[j].upcomingData.hours %></span><br/> <%- items[j].upcomingData.hours_text %></div>
                                                <% }else if(items[j].upcomingData.hours > 0){ %>
                                                    <div class="hoursOnly"><span><%- items[j].upcomingData.hours %></span><br/> <%- items[j].upcomingData.hours_text %></div>
                                                <% } %>
                                            </div>
                                        <% } %> -->
                                        <div class="title">
                                            <div class="titleContent">
                                                <span class="<% if(items[j].index != 0)print('ellipsis') %>">
                                                <% if(groups[0].templateType == 5){ %>
                                                    <%- items[j].name.stub(25) %>
                                                <% }else{ %>
                                                    <%- items[j].name.stub(35) %>
                                                <% } %>
                                                </span>
                                                <% if(items[j].index != 0 && items[j].seasonIndex != 0){ %>
                                                    <span class="subtitle"> <%= manifest.seasonx.replace("{0}", items[j].seasonIndex) %>  <%= manifest.episodex.replace("{0}", items[j].index) %></span>
                                                <% }else if(items[j].index != 0){ %>
                                                    <span class="subtitle"> <%= manifest.seasonx.replace("{0}", items[j].index) %></span>
                                                <% } %>
                                            </div>
                                        </div>
                                        <% if(groups[0].templateType == 13 ){ %>
                                            <div class="progressbar <% if (items[j].elapsedPercentage == 0) print("hidden") %>">
                                                <div class="progress progress-<%= items[j].elapsedPercentage %>"></div>
                                            </div>
                                        <% } %>
                                        <% if( (groups[0].templateType == 10 || (sortOptions.length > 0 && selectedSortOption.id == 3)) && (items[j].imdbRate) ){ %>
                                            <div class="imdbRating"><span class="imdbLogo"></span><%- items[j].imdbRate %><span class="totalScore">/10</span></div>
                                        <% }else if(groups[0].templateType == 11){ %>
                                            <div class="episodeIcon"></div>
                                        <% } %>
                                    </div>
                                    <% if(j % pageSize == pageSize-1){ %>
                                        </div><!-- end gridPage -->
                                    <% } %>
                                <% } %>
                                <% if(j % pageSize != pageSize-1){ %>
                                    </div><!-- end gridPage -->
                                <% } %>
                            </div>
                        </div>
                    </div>
                <% } %>
        </div>
    </div>
</div>
<div id="navhelp"></div>
