<div class="list">
    <div id="hboLogo"></div>
    <div class="mouseButtonsContainer">
        <div class="mouseButton top"></div>
        <div class="mouseButton bottom"></div>
    </div>
    <div class="groupList">
        <div id="menu"></div>

        <% for(var i=0;i<groups.length;i++){ %>
            <% group = groups[i]; %>
            <div class="groupContainer template-<%- group.templateType %>">
                <% if(group.templateType !== 7 && group.templateType !== 6 && group.name){ %>
                <h1 class="stripeTitle"><%- group.name %></h1>
                <% } %>
                <div class="mouseButtonsContainer">
                    <div class="mouseButton left"></div>
                    <div class="mouseButton right"></div>
                </div>
                <div id="group-<%- i %>" class="group">
                    <div class="scrollContainer">
                        <% for(var j=0;j<group.items.length;j++){ %>
                        <div id="item_<%- i %>_<%- j %>" data-up="focusUp" data-down="focusDown" data-left="focusLeft" data-right="focusRight" class="groupItem <%= (group.items[j].upcomingData != null ? ' upcoming' : '') %> <%= (group.templateType == 7 && group.items[j].name.length > 8 ? 'hasMarquee' : '') %> <%= (group.items[j].placeholderImage ? ' placeholder-image' : '') %>">
                            <div class="product-border"></div>
                            <% if(group.items[j].ribbonTitle != ""){ %>
                              <div class="ribbon detail-ribbon <%- group.items[j].ribbonType %>"><%- group.items[j].ribbonTitle %></div>
                            <% } %>

                            <% if (!group.items[j].placeholderImage) { %>
                                <% if(group.templateType == 1){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailBig %>" data-imgsize="<%- group.items[j].thumbnailBigSize %>"></div>
                                <% }else if(group.templateType == 2){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailMedium %>" data-imgsize="<%- group.items[j].thumbnailMediumSize %>"></div>
                                <% }else if(group.templateType == 3 || group.templateType == 10){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailSmall %>" data-imgsize="<%- group.items[j].thumbnailSmallSize %>"></div>
                                <% }else if(group.templateType == 4){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailXSmall %>" data-imgsize="<%- group.items[j].thumbnailXSmallSize %>"></div>
                                <% }else if(group.templateType == 5){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailPortrait %>" data-imgsize="<%- group.items[j].thumbnailPortraitSize %>"></div>
                                <% }else if(group.templateType == 6){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailSquareBig %>" data-imgsize="<%- group.items[j].thumbnailSquareBigSize %>"></div>
                                <% }else if(group.templateType == 7){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailSquare %>" data-imgsize="<%- group.items[j].thumbnailSquareSize %>"></div>
                                <% }else if(group.templateType == 14){ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailSquareBig %>" data-imgsize="<%- group.items[j].thumbnailSquareBigSize %>"></div>
                                <% }else{ %>
                                <div class="image-placeholder" data-url="<%- group.items[j].thumbnailMedium %>" data-imgsize="<%- group.items[j].thumbnailMediumSize %>"></div>
                                <% } %>
                            <% } %>
                            <% if(group.templateType == 1){ %>

                                <div class="info <% if(group.items[j].index != 0 && group.items[j].seasonIndex != 0) print('series') %>">
                                  <div class="title <% if(group.items[j].index != 0)print('ellipsis') %>">
                                    <% if(group.items[j].promoText != ""){ %>
                                        <div class="ribbon promoText"><%- group.items[j].promoText %></div><br/>
                                    <% } %>                
                                    <% if (group.items[j].titleImageCarousel) { %>
                                        <span class="maintitle">
                                            <div class="titleImage">
                                                <img class="titleImageBg" src="<%- group.items[j].titleImageCarousel %>"/>
                                            </div>
                                        </span>
                                        <span class="maintitle hideIt"> <%- group.items[j].name %></span>
                                    <% } else { %>
                                        <span class="maintitle"> <%- group.items[j].name %></span>
                                    <% } %>
                                    <% if(group.items[j].index != 0 && group.items[j].seasonIndex != 0){ %>
                                        <br/><span class="subtitle"> <%= manifest.seasonx.replace("{0}", group.items[j].seasonIndex) %>  <%= manifest.episodex.replace("{0}", group.items[j].index) %></span>
                                    <% }else if(group.items[j].index != 0){ %>
                                        <br/><span class="subtitle"> <%= manifest.seasonx.replace("{0}", group.items[j].index) %></span>
                                    <% } %>
                                  </div>

                                  <div class="meta">
                                    <% if(group.items[j].productionYear != "" && group.items[j].productionYear != 0){ %>
                                    <div class="year"><%- group.items[j].productionYear %></div>
                                    <% } %>
                                    <div class="genre"><%- group.items[j].genresText %></div>
                                    <% if(group.items[j].ageRating != -1){ %>
                                        <div class="ageRating"><%- group.items[j].ageRatingName %></div>
                                    <% } %>
                                    <% if(group.items[j].hboRate != ""){ %>
                                        <div class="hboRating"><span class="hboLogo"></span><%- group.items[j].hboRate %><span class="totalScore">/5</span></div>
                                    <% } %>
                                    <% if(group.items[j].imdbRate != "" && group.items[j].imdbRate != 0){ %>
                                        <div class="imdbRating"><span class="imdbLogo"></span><%- group.items[j].imdbRate %><span class="totalScore">/10</span></div>
                                    <% } %>
                                  </div>
                                </div>
                            <% }else{ %>
                              <% if(group.templateType == 10){ %>
                                  <div class="imdbRating"><span class="imdbLogo"></span><%- group.items[j].imdbRate %><span class="totalScore">/10</span></div>
                              <% }else if(group.templateType == 11){ %>
                                <% if(group.items[j].upcomingData != null){ %>
                                    <div class="countdown">
                                        <% if(group.items[j].upcomingData.days > 0){ %>
                                            <div class="days"><span><%- group.items[j].upcomingData.days %></span><br/> <%- group.items[j].upcomingData.days_text %></div>
                                            <div class="hours"><span><%- group.items[j].upcomingData.hours %></span><br/> <%- group.items[j].upcomingData.hours_text %></div>
                                        <% }else if(group.items[j].upcomingData.hours > 0){ %>
                                            <div class="hoursOnly"><span><%- group.items[j].upcomingData.hours %></span><br/> <%- group.items[j].upcomingData.hours_text %></div>
                                        <% } %>
                                    </div>
                                <% } %>
                                <!--<div class="episodeIcon"></div>-->
                              <% } %>
                              
                              <% if(group.templateType != 4){ %>
                                <div class="title">
                                    <div class="titleContent">
                                        <% if(group.templateType == 7 && group.items[j].name.length > 8) { %>
                                            <marquee scrollamount="0" class="marquee" scrolldelay="125"><%- group.items[j].name %></marquee>
                                            <span style="display: none" class="ellipsis"><%- group.items[j].name.stub(40) %></span>
                                        <% } else { %>
                                            <span class="title-value <% if(group.items[j].index != 0)print('ellipsis') %>"><% if(group.templateType == 5){ %><%- group.items[j].name.stub(30) %><% }else { %><%- group.items[j].name.stub(40) %><% } %></span>
                                        <% } %>

                                        <% if(group.templateType != 7 && group.templateType != 4 && group.items[j].index != 0 && group.items[j].seasonIndex != 0){ %>
                                            <span class="subtitle"> <%= manifest.seasonx.replace("{0}", group.items[j].seasonIndex) %>  <%= manifest.episodex.replace("{0}", group.items[j].index) %></span>
                                        <% }else if(group.templateType != 7 && group.templateType != 4 && group.items[j].index != 0){ %>
                                            <span class="subtitle"> <%= manifest.seasonx.replace("{0}", group.items[j].index) %></span>
                                        <% } %>
                                    </div>
                                </div>
                             <% } %>
                             <% if(group.templateType == 11){ %>
                                  <div class="progressbar <% if (group.items[j].elapsedPercentage == 0) print("hidden") %>">
                                      <div class="progress progress-<%= group.items[j].elapsedPercentage %>"></div>
                                  </div>
                              <% } %>
                            <% } %>
                          </div><!-- end div -->
                        <% } %>
                        <% if(group.templateType != 1 && group.showAll){ %>
                            <div id="item_<%- i %>_<%- j %>" data-up="focusUp" data-down="focusDown" data-left="focusLeft" data-right="focusRight" class="groupItem seeAll">
                                <div class="product-border"></div>
                                <div class="seeAllIcon"></div>
                                <div class="title"><%- manifest.see_all %></div>
                            </div>
                        <% } %>
                    </div><!-- end scrollcontainer -->
                </div>
            </div>
        <% } %>
    </div>
</div>
<div id="navhelp"></div>
