<div class="mouseButtonsContainer">
    <div class="mouseButton top"></div>
    <div class="mouseButton bottom"></div>
</div>
<div class="groupList">
    <% if(keyword.length >=3){ %>
        <div class="groupContainer template-3">
            <% if (typeof resultCount !== 'undefined') { %>
            <h1 class="result-info"><%= manifest.search_result.replace("{0}", resultCount) %></h1>
            <% } %>
            <div class="group gridGroup">
                <% if(searchResults.length > 0){ %>
                    <div class="verticalScrollContainer">
                        <% for(var j=0;j<pageIndex;j++){ %>
                            <div id="gridPage-<%- j %>" class="gridPagePage"></div>
                        <% } %>

                        <% for(var j=pageIndex*pageSize;j<Math.min((pageIndex+1)*pageSize, searchResults.length);j++){ %>
                            <% if(j % pageSize == 0){ %>
                                <div id="gridPage-<%- Math.floor(j/pageSize) %>" class="gridPagePage">
                            <% } %>

                            <div id="item_<%- j %>" data-up="focusUp" data-down="focusDown" data-left="focusLeft" data-right="focusRight" class="groupItem searchResultItem">
                                <div class="product-border"></div>

                                <% if(searchResults[j].ribbonTitle != ""){ %>
                                    <div class="ribbon detail-ribbon <%- searchResults[j].ribbonType %>"><%- searchResults[j].ribbonTitle %></div>
                                <% } %>

                                <img src="<%- searchResults[j].thumbnailSmall %>" data-imgsize="<%- searchResults[j].thumbnailSmallSize %>" alt=""/>

                                <div class="title">
                                    <% if(typeof searchResults[j].searchHighLightInformation.Line1 !== "undefined") { %>
                                        <% if(typeof searchResults[j].searchHighLightInformation.Line2 !== "undefined") { %>
                                            <div class="titleContent">
                                                <span class="line-first"><%= searchResults[j].searchHighLightInformation.Line1 %></span>
                                                <br/><span class="subtitle"><%= searchResults[j].searchHighLightInformation.Line2 %></span>
                                            </div>
                                        <% }else { %>
                                            <div class="titleContent two-lines">
                                                <span><%= searchResults[j].searchHighLightInformation.Line1Stubbed %><span>
                                            </div><!-- end of titleCotnent-->
                                        <% } %>
                                    <% } %>
                                </div><!-- end of title -->
                            </div>
                            <% if(j % pageSize == pageSize-1){ %>
                                </div><!-- end gridPage -->
                            <% } %>
                        <% } %>
                        <% if(j % pageSize != pageSize-1){ %>
                            </div><!-- end gridPage -->
                        <% } %>
                    </div>
                <% }else{ %>
                    <p class="noResults"><%= manifest.no_search_results %></p>
                <% } %>
            </div>
        </div>
    <% } %>
</div>
