<% if(OverlayTypeAudio) { %>
    <div class="popupBox audio popupBox_<%= audioCount %>">
        <div class="popupContent">
            <div class="overlayTitle"><%- manifest.audio %></div>
            <ul id="audioSelectionList">
                <% for(var i=0;i<audioTracks.length;i++){ %>
                <li id="language_<%= i %>" class="languageSelect<%= audioTracks[i].active ? ' active' : '' %>" data-iso="<%= audioTracks[i].id %>" data-channels="<%=audioTracks[i].channels %>" data-index="<%=audioTracks[i].index %>" data-up='defaultFocus' data-down='defaultFocus' ><%= audioTracks[i].label %><%= audioTracks[i].channels > 2 ? ' (DTS)' : ''%></li>
                <% } %>
            </ul>
        </div>
    </div>
<% }else{ %>
    <div class="popupBox subtitle popupBox_<%= subCount %>">
        <div class="popupContent ">
            <div class="subtitleSelection">
                <div class="overlayTitle"><%- manifest.subtitles %></div>
                <ul id="subtitleSelectionList">
                    <li id="subtitle_off" class="subtitleSelect <%= (subtitleActive ? '' : ' active') %>" data-down="defaultFocus" data-right='#subtitleSizeMedium' data-up='defaultFocus'><%- manifest.subtitle_off %></li>
                    <% for(var j=0;j<subtitleTracks.length;j++){ %>
                        <li id="subtitle_<%= j %>" class="subtitleSelect <%= (subtitleTracks[j].active ? ' active' : '') %>" data-iso="<%= subtitleTracks[j].id %>" data-type="<%= subtitleTracks[j].type %>" data-index="<%= subtitleTracks[j].index %>" data-left='defaultFocus' data-down="defaultFocus" data-right='#subtitleSizeMedium' data-up='defaultFocus'><%= subtitleTracks[j].label %></li>
                    <% } %>
                </ul>
            </div>
            <div class="subtitleSizeSelection">
                <div class="overlayTitle"><%- manifest.subtitle_size %></div>
                <ul id="subtitleSelectionList">
                    <li id="subtitleSizeSmall" class="subtitleSizeSelect" data-left='#subtitle_off' data-down="defaultFocus" data-up='defaultFocus' data-size="sm"><%- manifest.subtitle_small %></li>
                    <li id="subtitleSizeMedium" class="subtitleSizeSelect" data-left='#subtitle_off' data-down="defaultFocus" data-up='defaultFocus' data-size="md"><%- manifest.subtitle_medium %></li>
                    <li id="subtitleSizeLarge" class="subtitleSizeSelect" data-left='#subtitle_off' data-down="defaultFocus" data-up='defaultFocus' data-size="lg"><%- manifest.subtitle_large %></li>
                </ul>
            </div>
        </div>
    </div>
<% } %>

    <div id="navhelpBar" class="popupNavhelp">
        <div id="navhelpButtonContainer">
            <div id="navhelpBtn-1" class="navhelpBtn select" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus"><span class="icon"></span><p><%- manifest.select %></p></div>
            <div id="navhelpBtn-5" class="navhelpBtn back" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus"><span class="icon"></span><p><%- manifest.back %></p></div>
        </div>
    </div>
