<div id="vpPlayer"></div>
<div id="overlay">
    <div id="header" class="hidden">
        <div class="videoInfo">
            <div class="title"><%- data.videoTitle %></div>
            <% if(data.type == "episode"){ %>
                <div class="episodeTitle"><%- data.episodeTitle %></div>
            <% } %>
        </div>
    </div>

    <div class="speedInfo">2x</div>
    <div id="controls" class="hidden">
        <div class="progress">
            <div id="curTime">00:00</div>
            <div id="progressBar">
                <div id="video-progress"></div>
            </div>
            <div id="totalTime">00:00</div>
        </div>

        <div class="buttonControls">
            <% if(data.type == "episode"){ %>
                <div id="fastrewind" class="playerButton disable" data-up="focusBackButton" data-down="focusDown" data-right="defaultFocus">
                    <div class="tooltip"><%- data.manifest.previous_episode %></div>
                </div>
            <% } %>
            <div id="rewind" class="playerButton" data-up="focusBackButton" data-down="focusDown" data-right="defaultFocus" data-left="focusLeft">
                <div class="tooltip"><%- data.manifest.backward %> <span class="speed">2</span></div>
            </div>
            <div id="play" class="playerButton pause" data-up="focusBackButton" data-down="focusDown" data-left="defaultFocus" data-right="defaultFocus">
                <div class="tooltip">
                  <span class="textPlay"><%- data.manifest.play %></span>
                  <span class="textPause"><%- data.manifest.pause %></span>
                </div>
            </div>
            <div id="forward" class="playerButton" data-up="focusBackButton" data-down="focusDown" data-right="focusRight" data-left="defaultFocus">
                <div class="tooltip"><%- data.manifest.forward %> <span class="speed">2</span></div>
            </div>
            <% if(data.type == "episode"){ %>
                <div id="fastforward" class="playerButton disable" data-up="focusBackButton" data-down="focusDown" data-left="defaultFocus" data-right="focusRight">
                    <div class="tooltip"><%- data.manifest.next_episode %></div>
                </div>
            <% } %>
        </div>
        <div class="languageSettings">
            <div id="audio" class="bottomButton disable" data-up="focusUp" data-right="defaultFocus"><%- data.manifest.audio %>: <span></span></div>
            <div id="subs" class="bottomButton disable" data-up="focusUp" data-left="defaultFocus" data-right="focusRight"><%- data.manifest.subtitles %>: <span>Off</span></div>
            <div id="qmenu" class="bottomButton disable" data-up="focusUp" data-left="defaultFocus">Qmenu</div>
        </div>
        <div id="navhelp"></div>
    </div>
</div>
<div id="subtitleContainer">
    <div class="content"></div>
</div>
